Package org.opensaml.xacml.policy.impl

# Class ObligationTypeImplBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<XACMLObjectType>
org.opensaml.xacml.impl.AbstractXACMLObjectBuilder<ObligationType>
org.opensaml.xacml.policy.impl.ObligationTypeImplBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<ObligationType>`, `XACMLObjectBuilder<ObligationType>`

public class ObligationTypeImplBuilder extends AbstractXACMLObjectBuilder<ObligationType>
Builder for `ObligationType`.

## Constructor Summary

Constructors
Constructor
Description
`ObligationTypeImplBuilder()`

## Method Summary

Modifier and Type
Method
Description
`ObligationType`
`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ObligationType`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### ObligationTypeImplBuilder

public ObligationTypeImplBuilder()

## Method Details

### buildObject

public ObligationType buildObject()
Builds a XACMLObject using the default name and namespace information provided XACML specifications.

Specified by:
  `buildObject` in interface `XACMLObjectBuilder<ObligationType>`
Specified by:
  `buildObject` in class `AbstractXACMLObjectBuilder<ObligationType>`
Returns:
  built XACMLObject

### buildObject

public ObligationType buildObject(String namespaceURI, String localName, String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<ObligationType>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<ObligationType>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject